diff -Nru libcgroup-0.41/debian/cgroup-bin.preinst libcgroup-0.41/debian/cgroup-bin.preinst
--- libcgroup-0.41/debian/cgroup-bin.preinst	1970-01-01 00:00:00.000000000 +0000
+++ libcgroup-0.41/debian/cgroup-bin.preinst	2015-06-14 13:29:41.000000000 +0000
@@ -0,0 +1,36 @@
+#!/bin/sh
+# preinst script for #PACKAGE#
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <new-preinst> `install'
+#        * <new-preinst> `install' <old-version>
+#        * <new-preinst> `upgrade' <old-version>
+#        * <old-preinst> `abort-upgrade' <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    install|upgrade)
+        update-rc.d cgroup-bin remove >/dev/null
+    ;;
+
+    abort-upgrade)
+    ;;
+
+    *)
+        echo "preinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff -Nru libcgroup-0.41/debian/cgroup-tools.preinst libcgroup-0.41/debian/cgroup-tools.preinst
--- libcgroup-0.41/debian/cgroup-tools.preinst	1970-01-01 00:00:00.000000000 +0000
+++ libcgroup-0.41/debian/cgroup-tools.preinst	2015-06-14 13:25:32.000000000 +0000
@@ -0,0 +1,36 @@
+#!/bin/sh
+# preinst script for #PACKAGE#
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <new-preinst> `install'
+#        * <new-preinst> `install' <old-version>
+#        * <new-preinst> `upgrade' <old-version>
+#        * <old-preinst> `abort-upgrade' <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    install|upgrade)
+        update-rc.d cgroup-bin remove >/dev/null
+    ;;
+
+    abort-upgrade)
+    ;;
+
+    *)
+        echo "preinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff -Nru libcgroup-0.41/debian/changelog libcgroup-0.41/debian/changelog
--- libcgroup-0.41/debian/changelog	2014-09-19 12:23:37.000000000 +0000
+++ libcgroup-0.41/debian/changelog	2015-06-14 13:28:56.000000000 +0000
@@ -1,3 +1,10 @@
+libcgroup (0.41-6+rpi1) jessie-staging; urgency=medium
+
+  * Disable old init script left by raspberry pi foundation wheezy cgroup-bin
+    package which breaks systemd.
+
+ -- Peter Michael Green <plugwash@raspbian.org>  Sun, 14 Jun 2015 13:28:17 +0000
+
 libcgroup (0.41-6) unstable; urgency=medium
 
   * debian/control: